import React from "react";
import { useDispatch } from "react-redux";
import { addToCart } from "../state/cart/operations";
import { shopData } from "../data/shopData";

export const Shop = () => {
    // Redux と繋ぎ込みを行うために Dispatch関数を用意
    const dispatch = useDispatch();
    const shopItems = shopData.products.map((item) => (
        <div className="shop_item" key={item.id}>
            <p className="shop_itemName">{item.name}</p>
            <p className="shop_description">{item.description}</p>
            <p className="shop_itemName">{item.price} 円</p>
            {/* クリック時、ショップの商品をカートに追加するアクションを発行 */}
            <button
                className="shop_addButton"
                onClick={() => {
                    dispatch(addToCart(item.id, item.name, item.price));
                }}
            >
                カートに追加する
            </button>
        </div>
    ));
    return <div className="shop">{shopItems}</div>;
};
