import { createStore, compose } from "redux";
import cartReducer from "./cart";

/**
 * Reduxのストアを作成する関数です。
 * @return {Store<unknown>}
 */
export const configureStore = () => {
    return createStore(
        cartReducer,
        compose(
            process.env.NODE_ENV === "development" && window.devToolsExtension
                ? window.devToolsExtension()
                : (f) => f
        )
    );
};
